Produkter · Åtkomst till framtida filer efter köp
Den här åtgärden har tagits bort och ger 409 utan att ändra data. Ange åtkomst för varje digital fil genom att välja mottagare.
PATCH
/api/v1/products/{product_id}/file-update-policycURL-begäran
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'
Svar
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}
Behörigheter som krävs
- Autentisering
- Åtkomsttoken
- Tillgänglig från
- STANDARD
- Nyckelns behörighet
- Hantera produktfiler · Digitala produkter
catalog.product_file:write_digital